GetGlobalResolver
Retrieves information about a Route 53 Global Resolver instance.
Important
Route 53 Global Resolver is a global service that supports resolvers in multiple AWS Regions but you must specify the
US East (Ohio) Region to create, update, or otherwise work with Route 53 Global Resolver resources. That is, for example,
specify
--region us-east-2
on AWS CLI commands.
Request Syntax
GET /global-resolver/globalResolverId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- globalResolverId
-
The ID of the Route 53 Global Resolver to retrieve information about.
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[-.a-zA-Z0-9]+Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"arn": "string",
"clientToken": "string",
"createdAt": "string",
"description": "string",
"dnsName": "string",
"id": "string",
"ipAddressType": "string",
"ipv4Addresses": [ "string" ],
"ipv6Addresses": [ "string" ],
"name": "string",
"observabilityRegion": "string",
"regions": [ "string" ],
"status": "string",
"updatedAt": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- arn
-
The Amazon Resource Name (ARN) of the Global Resolver.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
arn:[-.a-z0-9]{1,63}:[-.a-z0-9]{1,63}:[-.a-z0-9]{0,63}:[-.a-z0-9]{0,63}:[^/].{0,1023} - clientToken
-
A unique, case-sensitive identifier to ensure idempotency. This means that making the same request multiple times with the same
clientTokenhas the same result every time.Type: String
Length Constraints: Minimum length of 1. Maximum length of 256.
- createdAt
-
The date and time the Global Resolver was created.
Type: Timestamp
- description
-
The description of the Global Resolver.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 256.
- dnsName
-
The hostname used by the customers' DNS clients for certification validation.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 128.
- id
-
The ID of the Global Resolver.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
[-.a-zA-Z0-9]+ - ipAddressType
-
The IP address type configured for the Global Resolver.
Type: String
Valid Values:
IPV4 | DUAL_STACK - ipv4Addresses
-
List of anycast IPv4 addresses associated with the Global Resolver instance.
Type: Array of strings
Length Constraints: Minimum length of 1. Maximum length of 15.
Pattern:
((25[0-5]|(2[0-4]|1\d|[1-9]|)\d)\.?\b){4} - ipv6Addresses
-
List of anycast IPv6 addresses associated with the Global Resolver instance. This field is only populated when ipAddressType is DUAL_STACK.
Type: Array of strings
Length Constraints: Minimum length of 1. Maximum length of 39.
Pattern:
(?:[A-F0-9]{1,4}:){7}[A-F0-9]{1,4} - name
-
The name of the Global Resolver.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 64.
Pattern:
(?!^[0-9]+$)([a-zA-Z0-9-_/' ']+) - observabilityRegion
-
The AWS Regions in which the users' Global Resolver query resolution logs will be propagated.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 32.
- regions
-
The AWS Regions in which the Global Resolver operate.
Type: Array of strings
Length Constraints: Minimum length of 0. Maximum length of 32.
- status
-
The operational status of the Global Resolver.
Type: String
Valid Values:
CREATING | OPERATIONAL | UPDATING | DELETING - updatedAt
-
The date and time the Global Resolver was updated.
Type: Timestamp
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
You don't have permission to perform this operation. Check your IAM permissions and try again.
HTTP Status Code: 403
- InternalServerException
-
An internal server error occurred. Try again later.
- retryAfterSeconds
-
Number of seconds in which the caller can retry the request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource was not found. Verify the resource ID and try again.
- resourceId
-
The unique ID of the resource referenced in the failed request.
- resourceType
-
The resource type of the resource referenced in the failed request.
HTTP Status Code: 404
- ThrottlingException
-
The request was throttled due to too many requests. Wait a moment and try again.
- quotaCode
-
The quota code recognized by the AWS Service Quotas service.
- retryAfterSeconds
-
Number of seconds in which the caller can retry the request.
- serviceCode
-
The code for the AWS service that owns the quota.
HTTP Status Code: 429
- ValidationException
-
The input parameters are invalid. Check the parameter values and try again.
- fieldList
-
The list of fields that aren't valid.
- reason
-
Reason the request failed validation.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: